#ifndef __SAMPLE_H__
#define __SAMPLE_H__

//	PHY
#define	MIICTL		0x00
#define	DSPRW		0x15
#define	DSPADDR		0x17
#define	AUXCTRL		0x18
#define	X18CTRL		0x1C
#define	EXPREG0E	0x0F0E
#define	EXPREG90	0x0F90
#define	EXPREG92	0x0F92
#define	EXPREG93	0x0F93
#define	EXPREG99	0x0F99
#define	EXPREG9A	0x0F9A
#define	EXPREG9F	0x0F9F
#define	EXPREGFD	0x0FFD
#define	EXPREGFE	0x0FFE

#define	IOUT			0x00
#define	SLEW			0x02
#define	MII_PAD_SETTING	SLEW + 4 * IOUT
#define	TXSWAG			0x01
#define	RXFILTER		0x04
#define	TXFILTER		0x04

// MAC
#define	MACSET_CH1_ADR_TOP	0xFFED0700
#define	MACSET_CH1_ADR_LOW	0x0000C76B
#define	MACSET_CH2_ADR_TOP	0xFFED0700
#define	MACSET_CH2_ADR_LOW	0x0000C86B

// AVB Packet assembler
#define	PKTASM_CH1_ADR_TOP 	0x00000007
#define	PKTASM_CH1_ADR_LOW 	0xEDFF6BC7
#define	PKTASM_CH2_ADR_TOP 	0x00000007
#define	PKTASM_CH2_ADR_LOW 	0xEDFF6BC8

// Frame write
#define	FRMWT_CH1_ADR_TOP 	0x00000007
#define	FRMWT_CH1_ADR_LOW 	0xEDFF6BC7
#define	FRMWT_CH2_ADR_TOP 	0x00000007
#define	FRMWT_CH2_ADR_LOW 	0xEDFF6BC8
#define PACKET_SIZE			0x00000400	// 1K

// frame reader
#define CLIP_X_SIZE		1280
#define CLIP_Y_SIZE		720
#define CH1_OFFSET_ADR	0x10000000

#define BANK1_ADR		0x00000000
#define BANK2_ADR		0x01000000
#define BANK3_ADR		0x02000000
#define BANK4_ADR		0x03000000
#define BANK5_ADR		0x04000000
#define BANK6_ADR		0x05000000
#define BANK7_ADR		0x06000000
#define BANK8_ADR		0x07000000

// AVB Frame Write parameter
#define AVB_FRM_RESET		0x00
#define AVB_FRM_SRC_ADR_H	0x01
#define AVB_FRM_SRC_ADR_L	0x02
#define AVB_FRM_PKT_SIZE	0x03
#define AVB_FRM_BK1_OF_ADR	0x04
#define AVB_FRM_BK1_FRM_NUM	0x05
#define AVB_FRM_BK1_SEC		0x06
#define AVB_FRM_BK1_NS		0x07
#define AVB_FRM_BK2_OF_ADR	0x08
#define AVB_FRM_BK2_FRM_NUM	0x09
#define AVB_FRM_BK2_SEC		0x0A
#define AVB_FRM_BK2_NS		0x0B
#define AVB_FRM_BK3_OF_ADR	0x0C
#define AVB_FRM_BK3_FRM_NUM	0x0D
#define AVB_FRM_BK3_SEC		0x0E
#define AVB_FRM_BK3_NS		0x0F
#define AVB_FRM_BK4_OF_ADR	0x10
#define AVB_FRM_BK4_FRM_NUM	0x11
#define AVB_FRM_BK4_SEC		0x12
#define AVB_FRM_BK4_NS		0x13
#define AVB_FRM_BK5_OF_ADR	0x14
#define AVB_FRM_BK5_FRM_NUM	0x15
#define AVB_FRM_BK5_SEC		0x16
#define AVB_FRM_BK5_NS		0x17
#define AVB_FRM_BK6_OF_ADR	0x18
#define AVB_FRM_BK6_FRM_NUM	0x19
#define AVB_FRM_BK6_SEC		0x1A
#define AVB_FRM_BK6_NS		0x1B
#define AVB_FRM_BK7_OF_ADR	0x1C
#define AVB_FRM_BK7_FRM_NUM	0x1D
#define AVB_FRM_BK7_SEC		0x1E
#define AVB_FRM_BK7_NS		0x1F
#define AVB_FRM_BK8_OF_ADR	0x20
#define AVB_FRM_BK8_FRM_NUM	0x21
#define AVB_FRM_BK8_SEC		0x22
#define AVB_FRM_BK8_NS		0x23
#define AVB_FRM_INT_MASK	0x24
#define AVB_FRM_INT_STATUS	0x25
#define AVB_FRM_WT_BANK		0x26
#define AVB_FRM_RD_BANK		0x27


typedef struct {
	alt_u8	wt_bank_no ;
	alt_u8	out_bank_no ;
	alt_u8	bank_flag ;
	alt_u64	nsec[8] ;
	alt_u64	sec[8] ;
} bank_status_t ;

extern alt_u32			AVB_FRM_WT_BASE[1] ;
extern alt_u32			AVB_FRM_RD_BASE[1] ;
extern alt_u32			CH_OFFSET_ADR[1] ;
extern bank_status_t	G_Bank_Status[1] ;
extern alt_u8			G_Base_Bank[1] ;


#endif /* SAMPLE_H__ */
