#//============================================================//#
#// Nitro Top SDC File rev0.91 ================================//#
#//============================================================//#

#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************


create_clock -name {XCVR_REFCLK}		 		-period "100MHz" 	[get_ports {REFCLK_L0_P[1]}]
create_clock -name {CLKIN_DDR3_50M_TOP} 		-period "50MHz" 	[get_ports {CLKIN_DDR3_50M_TOP_i}]
create_clock -name {CLKIN_DDR3_50M_BOT} 		-period "50MHz" 	[get_ports {CLKIN_DDR3_50M_BOT_i}]
create_clock -name {CLKIN_74p25M} 				-period "74.25MHz"	[get_ports {CLKIN_74p25M_i}]
create_clock -name {CLKIN_27M} 					-period "27MHz"		[get_ports {CLKIN_27M_i}]

create_clock -name {ENET_RX_CLK_125M} 			-period "125MHz"	[get_ports {ENET_RX_CLK_i}] -add
create_clock -name {ENET_TX_CLK_25M} 			-period "25MHz"		[get_ports {ENET_TX_CLK_i}] -add
create_clock -name {ENET_RX_CLK_25M} 			-period "25MHz"		[get_ports {ENET_RX_CLK_i}] -add
create_clock -name {ENET_TX_CLK_2p5M} 			-period "2.5MHz"	[get_ports {ENET_TX_CLK_i}] -add
create_clock -name {ENET_RX_CLK_2p5M} 			-period "2.5MHz"	[get_ports {ENET_RX_CLK_i}] -add
create_clock -name {ENET_CLK_TO_MAC_125M}		-period "125MHz"	[get_ports {ENET_CLK_125M_i}]

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks -create_base_clocks

create_generated_clock -name ENET_PHY_MDC -source [get_ports {CLKIN_DDR3_50M_TOP_i}] -divide_by 30 -multiply_by 1 [get_ports {ENET_MDC_o}]

#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty

#**************************************************************
# Set Input Delay
#**************************************************************

set_input_delay -clock { ENET_RX_CLK_125M } -rise -max 5.5 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_125M } -rise -max 5.5 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_125M } -rise -max 5.5 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_RX_CLK_125M } -rise -min 0.5 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_125M } -rise -min 0.5 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_125M } -rise -min 0.5 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_RX_CLK_25M } -rise -max 30.0 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_25M } -rise -max 30.0 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_25M } -rise -max 30.0 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_RX_CLK_25M } -rise -min 10.0 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_25M } -rise -min 10.0 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_25M } -rise -min 10.0 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -max 300.0 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -max 300.0 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -max 300.0 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_RX_D_i[*]}] -add
set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_RX_ERR_i}] -add
set_input_delay -clock { ENET_RX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_RX_DV_i}] -add

set_input_delay -clock { ENET_PHY_MDC } -rise -max 300.0 [get_ports {ENET_MDIO_io}] -add


#**************************************************************
# Set Output Delay
#**************************************************************

set_output_delay -clock { ENET_GTX_CLK } -rise -min 0.5 [get_ports {ENET_TX_D_o[*]}] -add
set_output_delay -clock { ENET_GTX_CLK } -rise -min 0.5 [get_ports {ENET_TX_EN_o}] -add
set_output_delay -clock { ENET_GTX_CLK } -rise -min 0.5 [get_ports {ENET_TX_ERR_o}] -add

set_output_delay -clock { ENET_TX_CLK_25M } -rise -min 10.0 [get_ports {ENET_TX_D_o[*]}] -add
set_output_delay -clock { ENET_TX_CLK_25M } -rise -min 10.0 [get_ports {ENET_TX_EN_o}] -add
set_output_delay -clock { ENET_TX_CLK_25M } -rise -min 10.0 [get_ports {ENET_TX_ERR_o}] -add

set_output_delay -clock { ENET_TX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_TX_D_o[*]}] -add
set_output_delay -clock { ENET_TX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_TX_EN_o}] -add
set_output_delay -clock { ENET_TX_CLK_2p5M } -rise -min 100.0 [get_ports {ENET_TX_ERR_o}] -add

set_output_delay -clock { ENET_PHY_MDC } -rise -min 10.0 [get_ports {ENET_MDIO_io}] -add


#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups 	-exclusive -group [get_clocks {ENET_CLK_TO_MAC_125M}]\
					-exclusive -group [get_clocks {ENET_TX_CLK_25M}]\
					-exclusive -group [get_clocks {ENET_TX_CLK_2p5M}]
						
set_clock_groups 	-exclusive -group [get_clocks {CLKIN_DDR3_50M_TOP}]\
					-exclusive -group [get_clocks {CLKIN_100M}]\
					-exclusive -group [get_clocks {ENET_GTX_CLK}]\
					-exclusive -group [get_clocks {ENET_TX_CLK_25M}]\
					-exclusive -group [get_clocks {ENET_TX_CLK_2p5M}]

set_clock_groups 	-exclusive -group [get_clocks {ENET_RX_CLK_125M}]\
					-exclusive -group [get_clocks {ENET_RX_CLK_25M}]\
					-exclusive -group [get_clocks {ENET_RX_CLK_2p5M}]

set_clock_groups 	-exclusive -group [get_clocks {CLKIN_DDR3_50M_TOP}]\
					-exclusive -group [get_clocks {CLKIN_100M}]\
					-exclusive -group [get_clocks {ENET_PHY_MDC}]	
				
set_clock_groups 	-exclusive -group [get_clocks {u0|ddr3_top_x32|pll0|pll1~PLL_OUTPUT_COUNTER|divclk}]\
					-exclusive -group [get_clocks {u0|ddr3_bot_x64|pll0|pll1~PLL_OUTPUT_COUNTER|divclk}]\
					-exclusive -group [get_clocks {CLKIN_100M}]	

set_clock_groups 	-exclusive -group [get_clocks {u0|ddr3_top_x32|pll0|pll4~PLL_OUTPUT_COUNTER|divclk}]\
					-exclusive -group [get_clocks {u0|ddr3_bot_x64|pll0|pll4~PLL_OUTPUT_COUNTER|divclk}]\
					-exclusive -group [get_clocks {CLKIN_100M}]	

#**************************************************************
# Set False Path
#**************************************************************
set_false_path -to [get_keepers {*alt_cusp*_gray_clock_crosser*shift_register[2]*}]

set_false_path -from [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {ENET_CLK_TO_MAC_125M}]
set_false_path -from [get_clocks {ENET_CLK_TO_MAC_125M}] -to [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}]

set_false_path -from [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {ENET_RX_CLK_125M}]
set_false_path -from [get_clocks {ENET_RX_CLK_125M}] -to [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}]

set_false_path -from [get_clocks {CLKIN_DDR3_50M_TOP}] -to [get_clocks {CLKIN_74p25M}]
set_false_path -from [get_clocks {CLKIN_74p25M}] -to [get_clocks {CLKIN_DDR3_50M_TOP}]

set_false_path -from [get_clocks {ENET_PHY_MDC}] -to [get_clocks {CLKIN_27M}]
set_false_path -from [get_clocks {CLKIN_27M}] -to [get_clocks {ENET_PHY_MDC}]

set_false_path -from [get_clocks {CLKIN_DDR3_50M_TOP}] -to [get_clocks {CLKIN_27M}]
set_false_path -from [get_clocks {CLKIN_27M}] -to [get_clocks {CLKIN_DDR3_50M_TOP}]

set_false_path -from [get_clocks {u0|ddr3_64bit|pll0|pll1~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {u0|ddr3_64bit|pll0|pll5~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {u0|ddr3_64bit|pll0|pll5~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {u0|ddr3_64bit|pll0|pll1~PLL_OUTPUT_COUNTER|divclk}]

set_false_path -from [get_clocks {ENET_TX_CLK_2p5M}] -to [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {ENET_TX_CLK_2p5M}]

set_false_path -from [get_clocks {ENET_TX_CLK_25M}] -to [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}]
set_false_path -from [get_clocks {u_video_rx_system|ddr3_32bit|pll0|pll1_phy~PLL_OUTPUT_COUNTER|divclk}] -to [get_clocks {ENET_TX_CLK_25M}]

set_false_path -from [get_clocks {ENET_TX_CLK_25M}] -to [get_clocks {ENET_RX_CLK_2p5M}]
set_false_path -from [get_clocks {ENET_RX_CLK_2p5M}] -to [get_clocks {ENET_TX_CLK_25M}]

set_false_path -from [get_clocks {ENET_CLK_TO_MAC_125M}] -to [get_clocks {ENET_RX_CLK_2p5M}]
set_false_path -from [get_clocks {ENET_RX_CLK_2p5M}] -to [get_clocks {ENET_CLK_TO_MAC_125M}]

set_false_path -from [get_clocks {ENET_CLK_TO_MAC_125M}] -to [get_clocks {ENET_RX_CLK_25M}]
set_false_path -from [get_clocks {ENET_RX_CLK_25M}] -to [get_clocks {ENET_CLK_TO_MAC_125M}]

set_false_path -from [get_clocks {ENET_CLK_TO_MAC_125M}] -to [get_clocks {CLKIN_DDR3_50M_TOP}]
set_false_path -from [get_clocks {CLKIN_DDR3_50M_TOP}] -to [get_clocks {ENET_CLK_TO_MAC_125M}]


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************
